/*
 * KDE network utilities (knu.h)
 *
 * Bertrand Leconte <B.Leconte@mail.dotcom.fr>
 *
 * This program is free software. See the file COPYING for details.
 */

#ifndef _KNU_H
#define _KNU_H

class TopLevel : public QWidget
{
    Q_OBJECT;

public:

    TopLevel(QWidget *parent=0, const char *name=0, KConfig *kc=NULL);
    ~TopLevel();
    friend void handle_sigchld(int);
    void closeEvent(QCloseEvent *);

protected:
    void resizeEvent(QResizeEvent *);
    KTabCtl      *tabCtrl;
    QPushButton  *quitBtn, *helpBtn;
    QWidget      *pages[4];

public slots:
    void slotTabChanged(int);
    void slotQuit();  
    void slotHelp();  

signals:
    void childDeath(int);

private:
    int      pid;
    KConfig *kconfig;
    int      currentTab;
};

#endif
