//
//  KPROCESSCONTROLLER -- A helper class for KProcess
//
//  version 0.0.1, July 13th 1997
//
//  (C) Christian Czezatke
//  e9025461@student.tuwien.ac.at
//

#ifndef __KPROCCTRL_H__
#define __KPROCCTRL_H__

#ifndef _MAY_INCLUDE_KPROCESSCONTROLLER_
#error kprocesscontroller.h is a private class and should only be included by "kprocess.cpp"
#endif
#include <qtimer.h>


/*
  A class for internal use by KProcess only. -- Exactly one instance of this class
  is generated by the first instance of KProcess that is created (a pointer to it
  gets stored in "theKProcessController".
*/

class KProcessController : public QObject
{
 Q_OBJECT;

public:
   KProcessController();

   void startTimer();
   void stopTimer();
   bool isTimerActive();
   QList<KProcess> *processList;

public slots:

   void slotDoHousekeeping();

private:

   enum {timerCheckInterval = 500 };
   // check for child processes that exited every half a second

   static void theSigCHLDHandler(int signal);
   // handler for sigchld

   bool timer_running;
   QTimer *timer;
};

extern KProcessController *theKProcessController;

#endif

